Audit types API
List and retrieve audit types (e.g. Safety Audit, Process Audit) used to categorize audit flags and templates. All operations use the same API key as other v1 endpoints and return global or organization-scoped types.
All endpoints require the same API key (Bearer token or Basic auth) you use for Employee Sync, Sites, and other v1 APIs. See Authentication for how to obtain and use credentials.
List audit types
Returns all audit types available to your organization (global and org-specific). Use activeOnly=true to return only active types.
Request
GET /api/v1/audit-types
Authorization: Bearer <your_token>
# Optional: only active
GET /api/v1/audit-types?activeOnly=trueResponse
HTTP/1.1 200 OK
Content-Type: application/json
[
{
"id": "at_123",
"name": "Safety Audit",
"description": "Site safety compliance",
"color": "#dc3545",
"icon": "ci-shield",
"organizationId": null,
"isDefault": true,
"isActive": true,
"isGlobal": true,
"sortOrder": 0,
"createdAt": "2026-01-10T09:00:00.000Z",
"updatedAt": "2026-01-10T09:00:00.000Z"
}
]Get an audit type
Returns a single audit type by ID. The type must be global or belong to your organization.
Request
GET /api/v1/audit-types/{auditTypeId}
Authorization: Bearer <your_token>Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"id": "at_123",
"name": "Safety Audit",
"description": "Site safety compliance",
"color": "#dc3545",
"icon": "ci-shield",
"organizationId": null,
"isDefault": true,
"isActive": true,
"isGlobal": true,
"sortOrder": 0,
"createdAt": "2026-01-10T09:00:00.000Z",
"updatedAt": "2026-01-10T09:00:00.000Z"
}Response fields
Each audit type includes id, name, description, color, icon, organizationId, isDefault, isActive, isGlobal, sortOrder, createdAt, updatedAt.
Rate limits
Same as other v1 APIs (per API key). See Error Handling for details.
